import java.awt.*;
import java.awt.event.*;

    // Respond to clear and quit commands from the keyboard.
    // This is used by the DrawingCanvas class in AWTDrawing3.java
class KeyResponder extends KeyAdapter {
    public KeyResponder(ClearableCanvas canvas){
        drawingCanvas = canvas;
    }

    // Override KeyAdapter's implementation of keyTyped.
    public void keyTyped(KeyEvent e){
        char charTyped = e.getKeyChar();

        if((charTyped == 'c') || (charTyped == 'C')){
            ClearableCanvas canvas = getDrawingCanvas();
            canvas.clear();
        }
        else if((charTyped == 'q') || (charTyped == 'Q')){
            System.exit(0);
        }
    }

    protected ClearableCanvas getDrawingCanvas(){
        return drawingCanvas;
    }

    // The application.
    private ClearableCanvas drawingCanvas;
}
