import java.awt.*;
import java.io.File;

        // Load and display the image files passed as command-line
        // arguments in ScrollPanes contained within Frames.
class ScrollPaneExample {
    public static void main(String[] args){
        if(args.length == 0){
            System.out.println("Usage: java ScrollPaneExample image ...");
        }
        else{
            // Get the default toolkit for this environment.
            Toolkit tk = Toolkit.getDefaultToolkit();

            for(int i = 0; i < args.length; i++){
                File f = new File(args[i]);
                if(f.exists() && f.isFile() && f.canRead()){
                    System.out.println("Loading: "+args[i]);
                    Image graphic = tk.getImage(args[i]);
                    // Display it.
                    Frame frame = new ScrollPaneFrame(graphic);
                    frame.setVisible(true);
                }
                else{
                    System.err.println("Unable to load: "+args[i]);
                }
            }
        }
    }
}
