        // A test rig for the Polygon class, which overrides
        // the equals and toString methods of Object.
class PolygonMain {
    public static void main(String[] args){
        final Point[] trianglePoints = new Point[] {
            new Point(0,0),
            new Point(0,1),
            new Point(1,1),
        };
        final Polygon triangle = new Polygon(trianglePoints);

        final Polygon square = new Polygon(new Point[]{
            new Point(0,0), new Point(0,1),
            new Point(1,1), new Point(1,0),
        });

        // Demonstrate the toString method.
        System.out.println("Triangle: "+triangle);
        System.out.println("Square: "+square);

        // Demonstrate the equals method.
        Polygon secondTriangle = new Polygon(trianglePoints);
        if(triangle.equals(secondTriangle)){
            System.out.println("Triangles match.");
        }

        if(triangle.equals(square)){
            System.err.println("Something's wrong!");
        }
    }
}
