        // A simple millisecond StopWatch interface
interface StopWatch {
    public void reset();
    public void start();
    public void stop();
    public void suspend();
    public void resume();

        // The cumulative time while in the RUNNING state.
    public long getElapsedTime();

        // Enquiry function for the current state, returns
        // one of RESET, RUNNING, SUSPENDED and STOPPED.
    public int getState();

        // The states the watch may be in.
    public static final int RESET = 0, RUNNING = 1, SUSPENDED = 2,
                            STOPPED = 3;
}
