import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

    // Maintain a Timer linked to this JProgressBar.
    // At every timer increment, adjust the bar by increment.
    // Used by the SwingButtonFrame class.
class ReactionTimer extends JProgressBar implements ActionListener {
    // How many milliseconds to update.
    public static final int increment = 50;
    public static final int min = 0, max = 100*increment;

    public ReactionTimer(int orientation){
        super(orientation,min,max);
    }

    public void start(){
        setValue(0);
        getTimer().start();
    }

    public void stop(){
        getTimer().stop();
    }

    public void actionPerformed(ActionEvent e){
        // The timer has ping'ed.
        setValue(getValue()+increment);
    }

    protected Timer getTimer(){
        return timer;
    }

    // At every increment, the Timer notified this object to
    // update the progress bar.
    private final Timer timer = new Timer(increment,this);
}

