import javax.swing.*;
import java.awt.*;

        // Illustrate an OverlayLayout layout manager to
        // overlap components.
        // Two buttons are overlapped within a panel.
class SwingOverlayFrame extends JFrame {
    public SwingOverlayFrame() {
        final int width = 250, height = 150;
        setSize(width,height);

        Container contents = getContentPane();

        // Create two buttons to be overlapped.
        JComponent blueButton = new JButton("Blue Button");
        blueButton.setBackground(Color.blue);
        blueButton.setForeground(Color.white);

        JComponent yellowButton = new JButton("Yellow Button");
        yellowButton.setBackground(Color.yellow);

        // Set the alignment points.
        blueButton.setAlignmentX(0.85F);
        blueButton.setAlignmentY(0.50F);
        yellowButton.setAlignmentX(Component.LEFT_ALIGNMENT);
        yellowButton.setAlignmentY(Component.TOP_ALIGNMENT);

        // Add them to a panel with an OverlayLayout
        // layout manager.
        JPanel centerPanel = new JPanel();
        centerPanel.setLayout(new OverlayLayout(centerPanel));
        centerPanel.add(blueButton);
        centerPanel.add(yellowButton);

        contents.add(centerPanel,"Center");
        contents.add(new QuitJPanel(),"South");
    }
}
